Running Blizzard Installer for WC3

Open forum for end-user questions about Wine. Before asking questions, check out the Wiki as a first step.
Forum Rules
Post Reply
estov
Newbie
Newbie
Posts: 1
Joined: Tue Oct 08, 2019 10:42 am

Running Blizzard Installer for WC3

Post by estov » Tue Oct 08, 2019 11:18 am

Hello,

after trying, googeling and failing over and over again I decided to ask for your help in your forums. I'd like to install Warcraft 3 The Frozen Throne with the Blizzard app on my computer using Ubuntu 18.04.3, bionic. .
First I tried wine from the Ubuntu standard repositories, but it didn't work. Someone told me then to use Wine-staging, so I removed the old wine and installed wine-4.17 (Staging)
I followed the instructions provided by your website: https://wiki.winehq.org/Ubuntu
The installation wasn't without obstacles and after investigating some more time, I figured that I needed to add another repository in order to get some lib file which is not in the Ubuntu sources as well.

Code: Select all

deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./
After this I was able to get wine running. So I tried running the Blizzard app with wine $ wine64 Warcraft-III-Setup.exe
The app started and let me choose a language, but then it displays a error message and that's it : https://imgur.com/a/wC5FlLu
Console Output:

Code: Select all

 
 000b:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
000b:fixme:winediag:start_process Wine Staging 4.17 is a testing version containing experimental patches.
000b:fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
000f:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
000d:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
0012:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
0014:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
001b:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
0021:fixme:thread:create_user_shared_data_thread Creating user shared data update thread.
002d:fixme:ver:GetCurrentPackageId (0x105fefc (nil)): stub
0033:fixme:winhttp:get_system_proxy_autoconfig_url no support on this platform
0033:fixme:winhttp:WinHttpDetectAutoProxyConfigUrl discovery via DHCP not supported
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
GIF89aÇ    ,D;003c:fixme:ver:GetCurrentPackageId (0x105fefc (nil)): stub
0042:fixme:winhttp:get_system_proxy_autoconfig_url no support on this platform
0042:fixme:winhttp:WinHttpDetectAutoProxyConfigUrl discovery via DHCP not supported
<html><head><title>Object moved</title></head><body>
<h2>Object moved to <a href="http://www.blizzard.com/404">here</a>.</h2>
</body></html>
 
Google told me that several other people on Ubuntu 18.04 had similar problems but nothing helped me. I can't recall everything what I tried but some of them were:

Code: Select all

winetricks vcrun2008
winetricks vcrun2005
sudo apt-get install fonts-wine (and several other fonts)	
sudo apt-get install lib32-libldap
sudo apt-get install gnutls-bin
sudo apt install libnvidia-gl-418:i386
sudo apt-get install winbind
winetricks corefonts
In winecfg I also tried win7, winxp, win10, nothing worked. Furthermore I tried running the app with wine and win64. Kinda frustrating. I hope you can help me out.

Some kernel info + hardware specs
Kernel version:

Code: Select all

 5.0.0-31-generic #33~18.04.1-Ubuntu[code]

lspci output:
[code]
00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
	Subsystem: Micro-Star International Co., Ltd. [MSI] Device 11d5
	Kernel driver in use: i915
	Kernel modules: i915
01:00.0 VGA compatible controller: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] (rev a1)
	Subsystem: Micro-Star International Co., Ltd. [MSI] GP106M [GeForce GTX 1060 Mobile]
	Kernel modules: nvidiafb, nouveau
01:00.1 Audio device: NVIDIA Corporation GP106 High Definition Audio Controller (rev a1)
	Kernel driver in use: snd_hda_intel
CPU: Intel(R) Core(TM) i7-7700HQ CPU @ 2.80GHz



Greetings

Post Reply